Subject: RE: FVWM: Problems with fvwm2 X-window managers as compared to pmwm window managers

From: "Ramaswamy, Karthik" <[email-masked]>
Date: Mon, 27 Nov 2000 12:18:49 -0500

Paul,
Thanks. Please find the answers to your queries in place in the e-mail you
sent me below.

Merci Beaucoup,
Karthik Ramaswamy
(212) 855-9114 (Off.)
(732) 398-8586 (Res.)

-----Original Message-----
From: Paul D. Smith [mailto:[email-masked]]
Sent: Monday, November 27, 2000 11:04 AM
To: Ramaswamy, Karthik
Cc: [email-masked]'
Subject: Re: FVWM: Problems with fvwm2 X-window managers as compared to
pmwm window managers

%% "Ramaswamy, Karthik" <[email-masked]> writes:

  rk> However, I noticed that the window gets hidden quickly with
  rk> terminals using pmwm window managers, just the way the traders
  rk> want. On the other hand, on my solaris workstation terminal using
  rk> fvwm2 window manager I find that it indeed takes considerable time
  rk> to have the same popup hidden.

You will need to provide more information about your environment before
we can help (please reply to the list, not just to me...):

What version of FVWM are you using?  (send the results of "fvwm2 -version")
Any special things about how it was compiled?
[RAMASWAMY, KARTHIK] The version being used is 2.2.2. By compilation, are
you hinting at the fvwm2 X-window manager compilation, or the compilation of
my application?

What platform/operating system are you using?
[RAMASWAMY, KARTHIK] The uname -a command tells the following:
SunOS nwdvdc026.ny.ficc.gs.com 5.6 Generic_105181-17 sun4u sparc
SUNW,Ultra-5_10.

If you know, what widget set is your application using (Motif, OpenWin,
etc., or maybe it's a Java app?  Tcl/Tk?  Perl/Tk?)
[RAMASWAMY, KARTHIK] The widget set used is Motif.

Other different/odd things we should know about?

-- 
----------------------------------------------------------------------------
---
 Paul D. Smith <[email-masked]>    HASMAT--HA Software Methods &
Tools
 "Please remain calm...I may be mad, but I am a professional." --Mad
Scientist
----------------------------------------------------------------------------
---
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Mon, 27 Nov 2000 18:31:36 -0500

> Thanks. Please find the answers to your queries in place in the e-mail you

Please try  to use more "normal" conventions  for quoting and replying
to messages.

> you hinting at the fvwm2 X-window manager compilation, or the compilation of

I think we wanted to know what version of fvwm you are using.
I know someone at GS was making modifications to fvwm.  I assume
this is not that version of fvwm.

It might be helpful if you download a recent snapshot and see if
you have the same problem with the snapshot.

> SunOS nwdvdc026.ny.ficc.gs.com 5.6 Generic_105181-17 sun4u sparc

OK, I've had a U5 and never noticed this problem although I'm not
sure I have an application that does exactly what you describe.

> [RAMASWAMY, KARTHIK] The widget set used is Motif.

Do you think you could supply sample code to demonstrate the problem?

How long of a delay is this?

I think you need to use Solaris 8 to get timestamps in truss,
but attaching truss to the client process might be helpful if the
hangup is in something the client is waiting for.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].